> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get concerns



## OpenAPI

````yaml /openapi.json get /concerns/{concern_id}
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /concerns/{concern_id}:
    get:
      tags:
        - Concerns
      operationId: get-concerns-concern-id
      parameters:
        - name: concern_id
          schema:
            type: string
          in: path
          required: true
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ConcernDetailResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ConcernDetailResponse:
      type: object
      title: ConcernDetailResponse
      required:
        - id
        - workspace_id
        - canonical_name
        - status
        - created_at
        - updated_at
        - appearances
      properties:
        id:
          type: string
        workspace_id:
          type: string
        canonical_name:
          type: string
        concern_type:
          type: string
        status:
          $ref: '#/components/schemas/ConcernStatusResponse'
        first_seen_session_id:
          type: string
        resolved_session_id:
          type: string
        resolved_at:
          type: string
        resolution_notes:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        appearances:
          type: array
          items:
            $ref: '#/components/schemas/ConcernAppearanceResponse'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    ConcernStatusResponse:
      type: string
      enum:
        - raised
        - in_progress
        - resolved
        - deferred
    ConcernAppearanceResponse:
      type: object
      title: ConcernAppearanceResponse
      required:
        - id
        - session_id
        - entity_id
        - entity_name
        - similarity_score
        - appeared_at
      properties:
        id:
          type: string
        session_id:
          type: string
        session_title:
          type: string
        entity_id:
          type: string
        entity_name:
          type: string
        similarity_score:
          type: number
          format: double
        start_time_seconds:
          type: number
          format: double
        appeared_at:
          type: string

````